org.eclipse.graphiti.platform.ga

## Interface IGraphicsAlgorithmRendererFactory

    public interface IGraphicsAlgorithmRendererFactory

The Interface IGraphicsAlgorithmRendererFactory. A factory for creating IGraphicsAlgorithmRenderer objects.

### Method Summary

All Methods Instance Methods Abstract Methods
`IGraphicsAlgorithmRenderer` `createGraphicsAlgorithmRenderer(IRendererContext rendererContext)` Creates a new IGraphicsAlgorithmRenderer object.

### Method Detail

#### createGraphicsAlgorithmRenderer

    IGraphicsAlgorithmRenderer createGraphicsAlgorithmRenderer(IRendererContext rendererContext)

Creates a new IGraphicsAlgorithmRenderer object.

Parameters:
  `rendererContext` - the renderer context
Returns:
  the IGraphics algorithm renderer